Bug 39964 - Xircom Cardbus modem :: spurious packet receives and error message in /var/log/messages
Xircom Cardbus modem :: spurious packet receives and error message in /var/lo...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-05-09 18:53 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-09 18:53:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-09 18:53:35 EDT
Description of Problem:
 Clean install of rh7.1 on Dell 5000e w/ Xircom Cardbus 10/100:56k The 
system seems to randomly give a 200kb/s rx transfer in /proc/net/dev w/out 
any discernable connection (netstat). It seems to go away on its own as well. The 
other issue to note is that on boot up the cardmgr gives the following error 

May  7 02:32:23 bloosqr cardmgr[569]: + don't know how to make device 

May  7 02:32:23 bloosqr cardmgr[569]: + /dev/xircom_cb: No such file or 
Perhaps I just have to mknod a certain type of device to fix the problem?

How Reproducible:

   The spurious receives are not reproducible in any sense of the word. The error 
message is always reproducible :)
Steps to Reproduce:
1. Boot w/ Xircom Card in :)

Actual Results:

Expected Results:

Additional Information:
Comment 1 Arjan van de Ven 2001-05-10 04:17:02 EDT
The driver puts the card in "receive all" mode. There's nothing that can be 
done at that, it seems the card is either "receive all packets" or "receive no
packets", the "receive only my packets" mode is defective.

The cardmgr messages are weird but it looks like an interaction with cardmgr
and the hotplug system. The message is harmless.... cardmgr isn't involved for
cardbus cards.

Note You need to log in before you can comment on or make changes to this bug.